Page MenuHomePhabricator

Migrate Wikimedia projects to the new validator framework
Closed, ResolvedPublic

Description

This task deals with moving the following projects under Wikimedia to the new validator framework,

  • global-search
  • GrantMetrics
  • InteractionTimeline
  • Pageviews
  • ProveIt
  • svgtranslate
  • wiki-ai
  • wscontest
  • XTools

All of them use a variation of the validators,

  1. WikiParameter validator
  2. BraceBalance validator
  3. MediaWiki plural validator

and the MediaWikiInsertablesSuggester

We'll need to update the YAML configuration file located here - https://phabricator.wikimedia.org/diffusion/GTWN/browse/master/groups/

Documentation: https://www.mediawiki.org/wiki/Help:Extension:Translate/Validators
Example patch: https://gerrit.wikimedia.org/r/c/translatewiki/+/549930

Event Timeline

abi_ created this task.Feb 11 2020, 7:08 AM
abi_ updated the task description. (Show Details)

Change 571462 had a related patch set uploaded (by Abijeet Patro; owner: Abijeet Patro):
[translatewiki@master] Update projects under Wikimedia to use new validator framework

https://gerrit.wikimedia.org/r/571462

abi_ triaged this task as Medium priority.Feb 11 2020, 8:04 AM
abi_ moved this task from Backlog to Configuration changes on the translatewiki.net board.
abi_ updated the task description. (Show Details)Feb 13 2020, 7:55 AM

Change 571462 merged by jenkins-bot:
[translatewiki@master] Update projects under Wikimedia to use new validator framework

https://gerrit.wikimedia.org/r/571462

While testing, I noticed:

  • Pageview Analysis doesn't have plurals, has plural check configured
  • ProveIt doesn't have plurals or parameters, has both configured
  • Wikilabels (wiki-ai) could use BraceBalance check

Change 572817 had a related patch set uploaded (by Abijeet Patro; owner: Abijeet Patro):
[translatewiki@master] Add BraceBalance validator for wiki-ai and remove validators from ProveIt

https://gerrit.wikimedia.org/r/572817

Change 572817 merged by jenkins-bot:
[translatewiki@master] Add BraceBalance validator for wiki-ai and remove validators from ProveIt

https://gerrit.wikimedia.org/r/572817

abi_ closed this task as Resolved.Mar 4 2020, 4:40 PM

Resolving this task as this has been deployed for a while without any issues noticed.